Bug 1117891 - Change Finnish xkb-converted layout
Summary: Change Finnish xkb-converted layout
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kbd
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Vitezslav Crhonek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-09 15:21 UTC by Marko Myllynen
Modified: 2014-10-06 14:02 UTC (History)
1 user (show)

Fixed In Version: kbd-2.0.2-5.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-06 14:02:39 UTC
Type: Bug


Attachments (Terms of Use)
fine tune fi layouts (955 bytes, application/mbox)
2014-10-02 14:14 UTC, Marko Myllynen
no flags Details

Description Marko Myllynen 2014-07-09 15:21:14 UTC
Description of problem:
Currently the default fi layout which gets loaded with loadkeys(1) is based on the default Finnish X keyboard layout which is not optimal for most console users (who are administrators and power users) who expect not to get an unexpected no-break space when typing fast and hitting space with altgr still pressed and also sometimes need to be able to type <,|, and > on (virtual) keyboards missing the key (this is not possible with the default Finnish X keyboard).

Please either convert the fi layout from the fi(classic) variant (see http://cgit.freedesktop.org/xkeyboard-config/tree/symbols/fi) or use the legacy/i386/qwerty/fi.map instead which is identical with fi(classic) in the latest upstream versions of xkeyboard-config/kbd. Since the latter does not need any conversion and can be used as-is from kbd, perhaps it might be better option than to convert from fi(classic) but either of them would be better than the current situation.

Version-Release number of selected component (if applicable):
kbd-2.0.2

Comment 1 Marko Myllynen 2014-10-02 14:14:04 UTC
Created attachment 943385 [details]
fine tune fi layouts

Comment 2 Marko Myllynen 2014-10-02 14:15:14 UTC
Thanks for looking into this. I now checked F21 and the default fi layout is now optimal for most console users. However, we might want to keep the X default fi layout also around just in case, I attached a patch proposal to do that.

Thanks.

Comment 3 Vitezslav Crhonek 2014-10-06 14:02:39 UTC
Thanks, fixed in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.